from cards import Card
# You may import any objects from the standard library
#
# The implementation MUST NOT produce any side effects outside the agent instance and doing that may be considered cheating.

class Agent:
    """
    The API for the Agent is the following:

    The method receiveSample(cards) is called on the agent infroming which cards have been dealt.
    It should return the number of the player which has won according to the Agent's hypothesis.

    Then the method receiveReward(reward) is called informing the agent whether the answer was correct or not.
    reward = 1 for correct answer and 0 for incorrect. The method receiveReward() should return a boolean value
    indicating whether more samples are desired
    """

    def __init__(self):
        # Initialize your hypothesis.
        self.iteration = 0

    def receiveSample(self, cards):
        # Do something with dealt cards.
        # Return the number of player that you expect to have won.
        return 0

    def receiveReward(self, reward):
        # Update your hypothesis according to the reward.
        self.iteration += 1
        return self.iteration < 10000

